import {
	WeaTools
} from 'ecCom'

export const getRight = (params) => {
	return WeaTools.callApi('/api/hrm/modulemanagerdetach/getHasRight', 'GET', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/modulemanagerdetach/getAdminSearchList', 'GET', params);
}

export const getSearchCondition = (params) => {
	return WeaTools.callApi('/api/hrm/modulemanagerdetach/getSearchCondition', 'GET', params);
}

export const getEditorForm = (params) => {
	return WeaTools.callApi('/api/hrm/modulemanagerdetach/getAddorEditForm?is_multilang_set=true', 'GET', params);
}

export const addModuleManageInfo = (params) => {
	return WeaTools.callApi('/api/hrm/modulemanagerdetach/save', 'POST', params);
}

export const deleteTableRows = (params) => {
	return WeaTools.callApi('/api/hrm/modulemanagerdetach/delete', 'POST', params);
}